package com.fs.his.service.impl;

import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.his.mapper.FsStoreOrderDfMapper;
import com.fs.his.domain.FsStoreOrderDf;
import com.fs.his.service.IFsStoreOrderDfService;

/**
 * 订单代服管家Service业务层处理
 *
 * @author fs
 * @date 2025-07-08
 */
@Service
public class FsStoreOrderDfServiceImpl extends ServiceImpl<FsStoreOrderDfMapper, FsStoreOrderDf> implements IFsStoreOrderDfService {

    /**
     * 查询订单代服管家
     *
     * @param orderId 订单代服管家主键
     * @return 订单代服管家
     */
    @Override
    public FsStoreOrderDf selectFsStoreOrderDfByOrderId(Long orderId)
    {
        return baseMapper.selectFsStoreOrderDfByOrderId(orderId);
    }

    /**
     * 查询订单代服管家列表
     *
     * @param fsStoreOrderDf 订单代服管家
     * @return 订单代服管家
     */
    @Override
    public List<FsStoreOrderDf> selectFsStoreOrderDfList(FsStoreOrderDf fsStoreOrderDf)
    {
        return baseMapper.selectFsStoreOrderDfList(fsStoreOrderDf);
    }

    /**
     * 新增订单代服管家
     *
     * @param fsStoreOrderDf 订单代服管家
     * @return 结果
     */
    @Override
    public int insertFsStoreOrderDf(FsStoreOrderDf fsStoreOrderDf)
    {
        fsStoreOrderDf.setCreateTime(new Date());
        return baseMapper.insertFsStoreOrderDf(fsStoreOrderDf);
    }

    /**
     * 修改订单代服管家
     *
     * @param fsStoreOrderDf 订单代服管家
     * @return 结果
     */
    @Override
    public int updateFsStoreOrderDf(FsStoreOrderDf fsStoreOrderDf)
    {
        return baseMapper.updateFsStoreOrderDf(fsStoreOrderDf);
    }

    /**
     * 批量删除订单代服管家
     *
     * @param orderIds 需要删除的订单代服管家主键
     * @return 结果
     */
    @Override
    public int deleteFsStoreOrderDfByOrderIds(Long[] orderIds)
    {
        return baseMapper.deleteFsStoreOrderDfByOrderIds(orderIds);
    }

    /**
     * 删除订单代服管家信息
     *
     * @param orderId 订单代服管家主键
     * @return 结果
     */
    @Override
    public int deleteFsStoreOrderDfByOrderId(Long orderId)
    {
        return baseMapper.deleteFsStoreOrderDfByOrderId(orderId);
    }
}
